<?php
require_once 'models/admin_model.php';
class admin_controller {
    private $model;
    public function __construct() {
        $this->model = new admin_model();
    }

    public function auth($email, $id=null) {
        return $this->model->check_email($email, $id);
    }

    public function show($id) {
        return $this->model->get($id);
    }

    public function update($id, $data) {
        return $this->model->update($id, $data);
    }

}
?>
